import { Navigate, Route, Routes } from 'react-router-dom';
import AdminLayout from './layout';
import { StorageDefaultURL } from '@pos/base';

function DefaultUrl() {
  const path: any = StorageDefaultURL.get();
  return <Navigate to={path} replace />;
}

export default function Admin() {
  return (
    <AdminLayout>
      <Routes>
        <Route path="/item" element={<div>item</div>} />
        <Route path="/item-master" element={<div>item master</div>} />
        <Route path="/" element={<DefaultUrl />} />
        <Route path="*" element={<Navigate to={'/404'} replace={true} />} />
      </Routes>
    </AdminLayout>
  );
}
